/ api / name / gb.canraise
GB.CanRaise
Syntax

    int GB.CanRaise ( void *object , int id )

Checks if an object handles a specific event.

- object is the object that raises the event.
- id is the event identifier, as got with the `GB_EVENT` macro.

This function returns `TRUE` if the class of the object object has an event handler for the specified event, and returns 0 otherwise.

| You will use this function to avoid raising useless events, as sometimes calling `GB.Raise` needs some heavy calculation. But calling this function is not mandatory, as it implicitely called anyway by `GB.Raise`

### See also

Event Management